UnionSubclass (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.mapping
Class UnionSubclass

    java.lang.Object
      org.hibernate.mapping.PersistentClass
          org.hibernate.mapping.Subclass
              org.hibernate.mapping.UnionSubclass

All Implemented Interfaces:
  Serializable, Filterable, MetaAttributable, TableOwner

    public class UnionSubclass

extends Subclass
implements TableOwner

A subclass in a table-per-concrete-class mapping

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.mapping.PersistentClass
`NOT_NULL_DISCRIMINATOR_MAPPING, NULL_DISCRIMINATOR_MAPPING, optimisticLockMode, synchronizedTables`

Constructor Summary
`UnionSubclass(PersistentClass superclass)`

Method Summary
`Object` | `accept(PersistentClassVisitor mv)`
`Table` | `getIdentityTable()`
`protected Iterator` | `getNonDuplicatedPropertyIterator()`
`Set` | `getSynchronizedTables()`
`Table` | `getTable()`
`void` | `setTable(Table table)`
`void` | `validate(Mapping mapping)`

Methods inherited from class org.hibernate.mapping.Subclass
`addJoin, addMappedsuperclassProperty, addProperty, addSubclassJoin, addSubclassProperty, addSubclassTable, createForeignKey, getCacheConcurrencyStrategy, getDeclaredIdentifierProperty, getDeclaredVersion, getDiscriminator, getEntityPersisterClass, getFilterMap, getIdentifier, getIdentifierMapper, getIdentifierProperty, getJoinClosureIterator, getJoinClosureSpan, getKey, getKeyClosureIterator, getNaturalIdCacheRegionName, getOptimisticLockMode, getPropertyClosureIterator, getPropertyClosureSpan, getRootClass, getRootTable, getSubclassId, getSuperclass, getTableClosureIterator, getTuplizerImplClassName, getTuplizerMap, getVersion, getWhere, hasEmbeddedIdentifier, hasIdentifierProperty, hasSubselectLoadableCollections, isClassOrSuperclassJoin, isClassOrSuperclassTable, isDiscriminatorInsertable, isExplicitPolymorphism, isForceDiscriminator, isInherited, isJoinedSubclass, isLazyPropertiesCacheable, isMutable, isPolymorphic, isVersioned, setEntityPersisterClass, setSuperclass`

Methods inherited from class org.hibernate.mapping.PersistentClass
`addFilter, addSubclass, addSynchronizedTable, addTuplizer, checkColumnDuplication, checkColumnDuplication, checkPropertyColumnDuplication, createPrimaryKey, getBatchSize, getClassName, getCustomSQLDelete, getCustomSQLDeleteCheckStyle, getCustomSQLInsert, getCustomSQLInsertCheckStyle, getCustomSQLUpdate, getCustomSQLUpdateCheckStyle, getDeclaredIdentifierMapper, getDeclaredPropertyIterator, getDirectSubclasses, getDiscriminatorColumnIterator, getDiscriminatorValue, getEntityName, getJoinIterator, getJoinNumber, getJpaEntityName, getLoaderName, getMappedClass, getMetaAttribute, getMetaAttributes, getNodeName, getProperty, getPropertyIterator, getProxyInterface, getProxyInterfaceName, getRecursiveProperty, getReferenceablePropertyIterator, getReferencedProperty, getSubclassClosureIterator, getSubclassIterator, getSubclassJoinClosureIterator, getSubclassPropertyClosureIterator, getSubclassSpan, getSubclassTableClosureIterator, getSuperMappedSuperclass, getTemporaryIdTableDDL, getTemporaryIdTableName, getUnjoinedPropertyIterator, hasDom4jRepresentation, hasIdentifierMapper, hasNaturalId, hasPojoRepresentation, hasSelectBeforeUpdate, hasSubclasses, isAbstract, isCustomDeleteCallable, isCustomInsertCallable, isCustomUpdateCallable, isDiscriminatorValueNotNull, isDiscriminatorValueNull, isLazy, prepareTemporaryTables, setAbstract, setBatchSize, setClassName, setCustomSQLDelete, setCustomSQLInsert, setCustomSQLUpdate, setDeclaredIdentifierMapper, setDiscriminatorValue, setDynamicInsert, setDynamicUpdate, setEntityName, setIdentifierMapper, setJpaEntityName, setLazy, setLoaderName, setMetaAttributes, setNodeName, setOptimisticLockMode, setProxyInterfaceName, setSelectBeforeUpdate, setSubselectLoadableCollections, setSuperMappedSuperclass, toString, useDynamicInsert, useDynamicUpdate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnionSubclass

    public UnionSubclass(PersistentClass superclass)

Method Detail

### getTable

    public Table getTable()

  Overrides:
    `getTable` in class `Subclass`

### setTable

    public void setTable(Table table)

  Specified by:
    `setTable` in interface `TableOwner`

### getSynchronizedTables

    public Set getSynchronizedTables()

  Overrides:
    `getSynchronizedTables` in class `Subclass`

### getNonDuplicatedPropertyIterator

    protected Iterator getNonDuplicatedPropertyIterator()

  Overrides:
    `getNonDuplicatedPropertyIterator` in class `PersistentClass`

### validate

    public void validate(Mapping mapping)
                  throws MappingException

  Overrides:
    `validate` in class `PersistentClass`
  Throws:
    `MappingException`

### getIdentityTable

    public Table getIdentityTable()

  Overrides:
    `getIdentityTable` in class `PersistentClass`

### accept

    public Object accept(PersistentClassVisitor mv)

  Overrides:
    `accept` in class `Subclass`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.